Debian Bug report logs - #200167
jazip dosn't build on ia64

version graph

Package: jazip; Maintainer for jazip is Peter S Galbraith <psg@debian.org>; Source for jazip is src:jazip.

Reported by: Adrian Bunk <bunk@fs.tum.de>

Date: Sat, 5 Jul 2003 19:48:05 UTC

Severity: serious

Found in version 0.34-5

Fixed in version jazip/0.34-6

Done: Peter S Galbraith <psg@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Peter S Galbraith <psg@debian.org>:
Bug#200167; Package jazip. Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@fs.tum.de>:
New Bug report received and forwarded. Copy sent to Peter S Galbraith <psg@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@fs.tum.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: jazip dosn't build on ia64
Date: Sat, 05 Jul 2003 21:41:16 +0200
Package: jazip
Version: 0.34-5
Severity: serious


buildd.debian.org lists the following build error on ia64:

<--  snip  -->

...
gcc -O2 -Wall   -c -o mount_z.o mount_z.c
In file included from /usr/include/asm/system.h:19,
                 from /usr/include/asm/atomic.h:17,
                 from /usr/include/linux/fs.h:25,
                 from mount_z.c:14:
/usr/include/asm/pal.h:89: error: syntax error before "pal_status_t"
/usr/include/asm/pal.h:102: error: syntax error before "pal_cache_level_t"
/usr/include/asm/pal.h:110: error: syntax error before "pal_cache_type_t"
/usr/include/asm/pal.h:123: error: syntax error before "pal_cache_line_state_t"
/usr/include/asm/pal.h:130: error: syntax error before "u64"
/usr/include/asm/pal.h:135: error: syntax error before "u64"
/usr/include/asm/pal.h:146: error: syntax error before "pcci1_data"  
/usr/include/asm/pal.h:151: error: syntax error before "u64"
/usr/include/asm/pal.h:162: error: syntax error before "pcci2_data"
/usr/include/asm/pal.h:167: error: syntax error before "pal_status_t"
/usr/include/asm/pal.h:169: error: syntax error before "pcci_info_2"
/usr/include/asm/pal.h:170: error: syntax error before "pcci_reserved"
/usr/include/asm/pal.h:207: error: syntax error before "u32"
/usr/include/asm/pal.h:209: error: syntax error before "u32"
/usr/include/asm/pal.h:226: error: syntax error before '}' token
/usr/include/asm/pal.h:248: error: syntax error before "pal_status_t"
/usr/include/asm/pal.h:249: error: conflicting types for `pcp_info'
/usr/include/asm/pal.h:225: error: previous declaration of `pcp_info'
/usr/include/asm/pal.h:250: error: syntax error before '}' token
/usr/include/asm/pal.h:262: error: syntax error before "u64"
/usr/include/asm/pal.h:264: error: syntax error before "u64"
/usr/include/asm/pal.h:277: error: syntax error before "u64"
/usr/include/asm/pal.h:302: error: syntax error before '}' token
/usr/include/asm/pal.h:327: error: syntax error before "pal_status_t"
...

<--  snip  -->






Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#200167; Package jazip. Full text and rfc822 format available.

Acknowledgement sent to Peter S Galbraith <psg@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 200167@bugs.debian.org (full text, mbox):

From: Peter S Galbraith <psg@debian.org>
To: debian-ia64@lists.debian.org
Cc: 200167@bugs.debian.org
Subject: Please help: jazip build error on ia64
Date: Tue, 22 Jul 2003 11:11:12 -0400
Hello,

http://bugs.debian.org/200167 reports a build error on ia64.
jazip includes /usr/include/linux/fs.h from mount_z.c

on ia64:

 fs.h     includes /usr/include/asm/atomic.h
 atomic.h includes /usr/include/asm/system.h
 system.h includes /usr/include/asm/pal.h

pal.h has a whole bunch of syntax errors in it and appears to be broken?
Or am I missing another include on ia64?

The buildd log is here:

 http://buildd.debian.org/fetch.php?&pkg=jazip&ver=0.34-5&arch=ia64&stamp=1058634906&file=log&as=raw

I'd appreciate any help.

Thanks!

Peter



Information forwarded to debian-bugs-dist@lists.debian.org, Peter S Galbraith <psg@debian.org>:
Bug#200167; Package jazip. Full text and rfc822 format available.

Acknowledgement sent to Matthew Wilcox <willy@debian.org>:
Extra info received and forwarded to list. Copy sent to Peter S Galbraith <psg@debian.org>. Full text and rfc822 format available.

Message #15 received at 200167@bugs.debian.org (full text, mbox):

From: Matthew Wilcox <willy@debian.org>
To: Peter S Galbraith <psg@debian.org>
Cc: debian-ia64@lists.debian.org, 200167@bugs.debian.org
Subject: Re: Please help: jazip build error on ia64
Date: Wed, 23 Jul 2003 13:01:04 +0100
On Tue, Jul 22, 2003 at 11:11:12AM -0400, Peter S Galbraith wrote:
> http://bugs.debian.org/200167 reports a build error on ia64.
> jazip includes /usr/include/linux/fs.h from mount_z.c

... it shouldn't.  what does it need from that file?

-- 
"It's not Hollywood.  War is real, war is primarily not about defeat or
victory, it is about death.  I've seen thousands and thousands of dead bodies.
Do you think I want to have an academic debate on this subject?" -- Robert Fisk



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#200167; Package jazip. Full text and rfc822 format available.

Acknowledgement sent to Peter S Galbraith <psg@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 200167@bugs.debian.org (full text, mbox):

From: Peter S Galbraith <psg@debian.org>
To: Matthew Wilcox <willy@debian.org>
Cc: debian-ia64@lists.debian.org, 200167@bugs.debian.org, jarrod.smith@vanderbilt.edu
Subject: Re: Please help: jazip build error on ia64
Date: Wed, 23 Jul 2003 09:47:59 -0400
Thanks for the reply.

Matthew Wilcox <willy@debian.org> wrote:

> On Tue, Jul 22, 2003 at 11:11:12AM -0400, Peter S Galbraith wrote:
> > http://bugs.debian.org/200167 reports a build error on ia64.
> > jazip includes /usr/include/linux/fs.h from mount_z.c
> 
> ... it shouldn't. 

Why is that?

>                    what does it need from that file?

Jazip implements its own mount.  If I comment out the include, I get:

gcc -O -m486   -c -o mount_z.o mount_z.c
mount_z.c: In function `z_mount':
mount_z.c:75: storage size of `fs' isn't known
mount_z.c:132: `MS_NOSUID' undeclared (first use in this function)
mount_z.c:132: (Each undeclared identifier is reported only once
mount_z.c:132: for each function it appears in.)
mount_z.c:132: `MS_RDONLY' undeclared (first use in this function)
make: *** [mount_z.o] Error 1

Peter



Information forwarded to debian-bugs-dist@lists.debian.org, Peter S Galbraith <psg@debian.org>:
Bug#200167; Package jazip. Full text and rfc822 format available.

Acknowledgement sent to Matthew Wilcox <willy@debian.org>:
Extra info received and forwarded to list. Copy sent to Peter S Galbraith <psg@debian.org>. Full text and rfc822 format available.

Message #25 received at 200167@bugs.debian.org (full text, mbox):

From: Matthew Wilcox <willy@debian.org>
To: Peter S Galbraith <psg@debian.org>
Cc: Matthew Wilcox <willy@debian.org>, debian-ia64@lists.debian.org, 200167@bugs.debian.org, jarrod.smith@vanderbilt.edu
Subject: Re: Please help: jazip build error on ia64
Date: Wed, 23 Jul 2003 14:55:25 +0100
On Wed, Jul 23, 2003 at 09:47:59AM -0400, Peter S Galbraith wrote:
> Thanks for the reply.
> 
> Matthew Wilcox <willy@debian.org> wrote:
> 
> > On Tue, Jul 22, 2003 at 11:11:12AM -0400, Peter S Galbraith wrote:
> > > http://bugs.debian.org/200167 reports a build error on ia64.
> > > jazip includes /usr/include/linux/fs.h from mount_z.c
> > 
> > ... it shouldn't. 
> 
> Why is that?

because userspace shouldn't be including kernel headers.

> >                    what does it need from that file?
> 
> Jazip implements its own mount.  If I comment out the include, I get:
> 
> gcc -O -m486   -c -o mount_z.o mount_z.c
> mount_z.c: In function `z_mount':
> mount_z.c:75: storage size of `fs' isn't known
> mount_z.c:132: `MS_NOSUID' undeclared (first use in this function)
> mount_z.c:132: (Each undeclared identifier is reported only once
> mount_z.c:132: for each function it appears in.)
> mount_z.c:132: `MS_RDONLY' undeclared (first use in this function)
> make: *** [mount_z.o] Error 1

why is it insufficient to do what the manpage says:

MOUNT(2)                   Linux Programmer’s Manual                  MOUNT(2)

NAME
       mount, umount - mount and unmount filesystems.

SYNOPSIS
       #include <sys/mount.h>

       int mount(const char *source, const char *target , const char *filesys‐
       temtype, unsigned long mountflags , const void *data);

       int umount(const char *target);

ie get those values from sys/mount.h

you probably also need sys/vfs.h for statfs.

-- 
"It's not Hollywood.  War is real, war is primarily not about defeat or
victory, it is about death.  I've seen thousands and thousands of dead bodies.
Do you think I want to have an academic debate on this subject?" -- Robert Fisk



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#200167; Package jazip. Full text and rfc822 format available.

Acknowledgement sent to Peter S Galbraith <psg@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #30 received at 200167@bugs.debian.org (full text, mbox):

From: Peter S Galbraith <psg@debian.org>
To: Matthew Wilcox <willy@debian.org>
Cc: debian-ia64@lists.debian.org, 200167@bugs.debian.org, jarrod.smith@vanderbilt.edu
Subject: Re: Please help: jazip build error on ia64
Date: Wed, 23 Jul 2003 10:08:28 -0400
Matthew Wilcox <willy@debian.org> wrote:

> On Wed, Jul 23, 2003 at 09:47:59AM -0400, Peter S Galbraith wrote:
> > Thanks for the reply.
> > 
> > Matthew Wilcox <willy@debian.org> wrote:
> > 
> > > On Tue, Jul 22, 2003 at 11:11:12AM -0400, Peter S Galbraith wrote:
> > > > http://bugs.debian.org/200167 reports a build error on ia64.
> > > > jazip includes /usr/include/linux/fs.h from mount_z.c
> > > 
> > > ... it shouldn't. 
> > 
> > Why is that?
> 
> because userspace shouldn't be including kernel headers.

Ah, I see.  Since the file was in `libc6-dev' I didn't think that would
be a problem.
 
> > >                    what does it need from that file?
> > 
> > Jazip implements its own mount.  If I comment out the include, I get:
> > 
> > gcc -O -m486   -c -o mount_z.o mount_z.c
> > mount_z.c: In function `z_mount':
> > mount_z.c:75: storage size of `fs' isn't known
> > mount_z.c:132: `MS_NOSUID' undeclared (first use in this function)
> > mount_z.c:132: (Each undeclared identifier is reported only once
> > mount_z.c:132: for each function it appears in.)
> > mount_z.c:132: `MS_RDONLY' undeclared (first use in this function)
> > make: *** [mount_z.o] Error 1
> 
> why is it insufficient to do what the manpage says:
> ie get those values from sys/mount.h
> 
> you probably also need sys/vfs.h for statfs.

Works!

Thanks!

Peter



Information forwarded to debian-bugs-dist@lists.debian.org, Peter S Galbraith <psg@debian.org>:
Bug#200167; Package jazip. Full text and rfc822 format available.

Acknowledgement sent to Jarrod Smith <jsmith@structbio.vanderbilt.edu>:
Extra info received and forwarded to list. Copy sent to Peter S Galbraith <psg@debian.org>. Full text and rfc822 format available.

Message #35 received at 200167@bugs.debian.org (full text, mbox):

From: Jarrod Smith <jsmith@structbio.vanderbilt.edu>
To: Matthew Wilcox <willy@debian.org>
Cc: Peter S Galbraith <psg@debian.org>, <debian-ia64@lists.debian.org>, <200167@bugs.debian.org>
Subject: Re: Please help: jazip build error on ia64
Date: Wed, 23 Jul 2003 13:47:52 -0500 (CDT)
On Wed, 23 Jul 2003, Matthew Wilcox wrote:
> why is it insufficient to do what the manpage says:
> 
> MOUNT(2)                   Linux Programmer’s Manual                  MOUNT(2)
> 
> NAME
>        mount, umount - mount and unmount filesystems.
> 
> SYNOPSIS
>        #include <sys/mount.h>
> 
>        int mount(const char *source, const char *target , const char *filesys‐
>        temtype, unsigned long mountflags , const void *data);
> 
>        int umount(const char *target);
> 
> ie get those values from sys/mount.h
> 
> you probably also need sys/vfs.h for statfs.


Back In The Day (TM) when I first wrote mount_z.c, both mount.h and fs.h 
were required to do everything jaZip needed.

At some point later on, those things that were needed in fs.h were
duplicated in mount.h.  I remember getting bug reports about the resulting
redeclaration errors and I fixed it by removing mount.h.

I guess I chose wrong, but I promise the mount(2) manpage on my distro
(most likely RedHat 4.x or 5.x back then) did not read like the above when
it first happened :-)

Thanks for the suggestions - we will fix it.

Jarrod Smith

--
Jarrod A. Smith, Ph.D.
Asst. Director, Center for Structural Biology
Research Asst. Professor, Biochemistry
Vanderbilt University

199 processes: 129 sleeping, 5 ready, 65 running




Reply sent to Peter S Galbraith <psg@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Adrian Bunk <bunk@fs.tum.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #40 received at 200167-close@bugs.debian.org (full text, mbox):

From: Peter S Galbraith <psg@debian.org>
To: 200167-close@bugs.debian.org
Subject: Bug#200167: fixed in jazip 0.34-6
Date: Mon, 04 Aug 2003 20:02:21 -0400
We believe that the bug you reported is fixed in the latest version of
jazip, which is due to be installed in the Debian FTP archive:

jazip_0.34-6.diff.gz
  to pool/main/j/jazip/jazip_0.34-6.diff.gz
jazip_0.34-6.dsc
  to pool/main/j/jazip/jazip_0.34-6.dsc
jazip_0.34-6_i386.deb
  to pool/main/j/jazip/jazip_0.34-6_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 200167@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter S Galbraith <psg@debian.org> (supplier of updated jazip package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----

Format: 1.7
Date: Wed, 23 Jul 2003 21:31:38 -0400
Source: jazip
Binary: jazip
Architecture: source i386
Version: 0.34-6
Distribution: unstable
Urgency: low
Maintainer: Peter S Galbraith <psg@debian.org>
Changed-By: Peter S Galbraith <psg@debian.org>
Description: 
 jazip      - mount and unmount Iomega Zip and/or Jaz drives.
Closes: 200167 201247
Changes: 
 jazip (0.34-6) unstable; urgency=low
 .
   * mount_z.c: include sys/mount.h and sys/vfs.h instead of linux/fs.h
     (closes: #200167)
   * Applied patch from Christian Perrier <bubulle@debian.org> for the
     "new" gettext format for debconf templates (closes: #201247)
Files: 
 ca070f876abbddcda0cbd76ea1d84167 685 utils extra jazip_0.34-6.dsc
 1782cf070974c53edc8f2ad62f047781 15225 utils extra jazip_0.34-6.diff.gz
 eff68c248f521afa3b9911dbd4891776 91670 utils extra jazip_0.34-6_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.2 (GNU/Linux)

iQCVAwUBPx83VbwVH8jSqROhAQEbLgQAqkgnv5fdaIvefodBiyU8THb49fKq7nRM
A7leIvkFC/7m250ZGth+KzOvJW92KCvqMd3zeP01tl1wxiUFyHlAH4CLXcF7jfIw
7W7Ip6X9yY+RME2gnhVJ7Uz1aCT3zVL6JNgB0M+eJYRqVOJDtVA10eMROvQIdn5C
D0a0zhZdxuA=
=c3kI
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:13:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.